:root {
    --col-menutop-bg: #519af9;
    --col-menutop-bg-grad: #3e76be;
}

body {
    /* map background */
    --col-mainbg: #060504;
    --col-spaceblue:#060504;

    /* ui */
    --col-ui: #000000;

    --h_bottominfo: 90px;

    -webkit-font-smoothing: antialiased;
    
    /* letter-spacing:0.2px; */
}

a {
    filter: invert(1);
}

#ui-wrapper, #ui-bottominfo, .fullscreenOverlay, .ui-basecontainer, .ui-tooltip {

    /* ui */
    --col-main: #000000;
    --col-main-inv: #FFFFFF;
    --col-lines-sep: #151515; 

    /* tabs and subs */

    --col-menutop-bg: #519af9;
    --col-menutop-bg-grad: #3e76be;
    --col-menutop-txt: #000000;

    --col-tab-bg: #1a3b67;
    --col-tab-txt: #cfe4ff;
    --col-tab-bg-on:#519af9;
    --col-tab-txt-on: #cfe4ff;

    --col-tabsub-bg: #181818; 
    --col-tabsub-bg-hover: #242424; 
    --col-tabsub-bg-on: #353535;
    --col-tabsub-txt: #FFFFFF;
    --col-tabsub-txt-on: #FFFFFF;

    --col-subheadline-bg:#0b182a;
    --col-subheadline-border:#0d1c30;
    --col-subheadline-txt: #cfe4ff;
    --col-txt-highlight:#519af9;

    --col-sub-lines: transparent;
    --col-lines-tab: #101010;
    --col-lines-inv: var(--col-main);
    --col-bars: #111111;
    --col-ui-selected: #ffd74d; 
    --col-ui-selected-red: #cc3f00; 

    /* headlines of infopane 2 */
    --col-pane2-hl-bg: rgba(0,0,0,0.6); 
    --col-pane2-hl: rgba(80,171,255,0.7);

    /* drag and drop */
    --col-drag-outline: rgba(80,171,255,0.7);
    --col-drag-txt: #e3ff00;

    /* text */
    --col-txt: #FFFFFF;
    --col-txt-1: #EEEEEE;
    --col-txt-12: #CCCCCC;
    --col-txt-2: #777777;
    --col-txt-3: #606060;
    --col-txt-4: #444444;
    --col-txt-inv: #000000;
    --col-txt-experimental: #519af9;
    --col-txt-aplha: #cc3f00;
    --col-links: #519af9;
    --col-legend-txt-hl: #EEEEEE;
    --col-legend-txt: #BBBBBB;
    --col-legend-bg: rgba(0,0,0,1);

    /* inputs */
    --col-bg-inpt: rgba(0,0,0,0.06);
    --col-bg-inpt-inv: rgba(255,255,255,0.1); 

    /* buttons on dark bg */    
    --col-btn-drk-bg: #222222;
    --col-btn-drk-border: #555555;
    --col-btn-drk-txt: #111111;   
    --col-btn-bg-light: rgba(255,255,255,0.1); 
    --col-btn-bg-light-hover: rgba(255,255,255,0.2);
    --col-btn-bg-light-border: rgba(255,255,255,0);
        
    /* specials */
    --col-pi-bg: rgba(62,245,152,0.23);
    --col-pi-txt-sel: rgba(62,245,152,1);
    --col-route: #f6ff0a;
    --col-jump: #ffb50a;
    --col-grey: #888888;

    /* colors */
    --col-purple:#9a41ff;
    --col-kitty:#ffb3e7;
    --col-blue:#519af9; /* evelauncher #2980b9 */
    --col-yellow:#e3ff00;
    --col-orange:#ffd74d; /* evelauncher #f89129 */ 
    --col-red:#cc3f00;
    --col-green:#3ef598;
    --col-white:#ffffff;
    --col-lightgrey:#888888;
    --col-darkgrey:#444444;
    --col-darkergrey:#111111;
    --col-black:#000000;
    --col-closewhite: #fbfbfb;

    --col-neon-yellow:#e3ff00;

    --col-kills:#437c97;
    --col-jumps:#e6cf18;
    --col-pods:#ac2d2d;
    --col-npcs:#666666; 
    --col-deploy:#9a41ff;
    
    --col-jumps-rgba:rgba(230,207,24,0.2);
    --col-pods-rgba:rgba(172,45,45,0.2);
    --col-npcs-rgba:rgba(102,102,102,0.2);
    --col-deploy-rgba:rgba(154,65,255,0.2);  
    --col-fleet-rgba:rgba(2, 243, 243,0.1);  
    --col-usdc-rgba:rgba(90, 200, 250,0.1); 
    

    --col-rent_own:#9a41ff;
    --col-rent_own-rgba:rgba(154,65,255,0.2);
    --col-rent_list:rgb(171, 159, 242); 
    --col-rent_list-rgba:rgba(171, 159, 242, 0.1);  /* ==>  --col-cmd-rent_own */
    --col-rent_borrowed:#2699ce;
    --col-rent_borrowed-rgba:rgba(38, 153, 206, 0.16);

    --col-postit: #000000;
    --col-postit-txt: #FFFF99;

    --col-fleet: #02f3f3;
    --col-scanning: #FFFF99;
    --col-mining: #f39702;
    --col-move: #519af9;
    --col-exit: #bff56b;
    --col-docked: #fbfbfb;
    --col-idle: #cfcfcd;
    

    --col-destroyed: #ff0000;
    --col-stopped: #ff7e86;
    --col-warning: #ffd74d;
    --col-impaired: #c77eff;

    --col-coordinate: #ffd74d;
    --col-time: #ffd74d;

    --col-hints: #02f3f3;
    --col-totals: #ffd74d;
    --col-currency: #5ac8fa; 
    --col-lp: #f87ff8;
    --col-curr-sol: #8d35f9;
    --col-curr-usdc :#00b7ff;
    --col-curr-atlas: #c3ff00;

    --col-target: #c3f205;

    --col-testing: #d0ff00;

    --col-xxxxxxxxxxxxx: rgb(146, 212, 111);

    --col-cmd: 146, 212, 111;
    --col-cmd-rent_own: 171, 159, 242;
    --col-cmd-rent_borrowed: 38, 153, 206;
    --col-lines-sep-rent: #ab9ff233; 

    /*
    #ffef47 255, 239, 71 filter: brightness(0) saturate(100%) invert(88%) sepia(35%) saturate(819%) hue-rotate(350deg) brightness(105%) contrast(102%);
    #fff9b4 255, 249, 180 filter: brightness(0) saturate(100%) invert(86%) sepia(34%) saturate(356%) hue-rotate(350deg) brightness(106%) contrast(106%);
    #cefef5 206, 254, 245 filter: brightness(0) saturate(100%) invert(100%) sepia(56%) saturate(575%) hue-rotate(86deg) brightness(100%) contrast(99%);
    #02f3f3 2, 243, 243 filter: brightness(0) saturate(100%) invert(92%) sepia(44%) saturate(3314%) hue-rotate(89deg) brightness(117%) contrast(98%);
    #4adcdc 74, 220, 220 filter: brightness(0) saturate(100%) invert(89%) sepia(80%) saturate(3237%) hue-rotate(141deg) brightness(91%) contrast(89%);
    #2699ce 38, 153, 206 filter: brightness(0) saturate(100%) invert(45%) sepia(73%) saturate(606%) hue-rotate(155deg) brightness(101%) contrast(80%);
    #98c6c6 152, 198, 198 filter: brightness(0) saturate(100%) invert(84%) sepia(4%) saturate(1681%) hue-rotate(131deg) brightness(90%) contrast(90%);
    #74b5d8 0, 107, 165 filter: brightness(0) saturate(100%) invert(79%) sepia(8%) saturate(3161%) hue-rotate(172deg) brightness(88%) contrast(92%);
    #74caca 116, 202, 202 filter: brightness(0) saturate(100%) invert(77%) sepia(5%) saturate(2551%) hue-rotate(131deg) brightness(95%) contrast(93%);
    #b8b8b8 184, 184, 184 filter: brightness(0) saturate(100%) invert(79%) sepia(13%) saturate(0%) hue-rotate(202deg) brightness(91%) contrast(92%);
    #bbbcac 187, 188, 172 filter: brightness(0) saturate(100%) invert(87%) sepia(8%) saturate(373%) hue-rotate(25deg) brightness(87%) contrast(84%);
    #bcb5ac 188, 181, 172 filter: brightness(0) saturate(100%) invert(84%) sepia(7%) saturate(323%) hue-rotate(354deg) brightness(87%) contrast(86%);
    #ff621f 255, 98, 31 filter: brightness(0) saturate(100%) invert(51%) sepia(25%) saturate(6816%) hue-rotate(346deg) brightness(101%) contrast(104%);
    #acbabc 172, 186, 188 filter: brightness(0) saturate(100%) invert(81%) sepia(14%) saturate(189%) hue-rotate(139deg) brightness(94%) contrast(78%);
    #c1d46f 193, 212, 111 filter: brightness(0) saturate(100%) invert(100%) sepia(19%) saturate(5140%) hue-rotate(12deg) brightness(94%) contrast(78%);

    #92d46f 146, 212, 111 filter: brightness(0) saturate(100%) invert(77%) sepia(16%) saturate(1003%) hue-rotate(55deg) brightness(95%) contrast(96%);

    #ab9ff2	171, 159, 242 filter: brightness(0) saturate(100%) invert(73%) sepia(27%) saturate(3537%) hue-rotate(202deg) brightness(101%) contrast(90%);
    */
    --col-filter-cmd: brightness(0) saturate(100%) invert(77%) sepia(16%) saturate(1003%) hue-rotate(55deg) brightness(95%) contrast(96%);
    --col-filter-cmd-rent_own: brightness(0) saturate(100%) invert(73%) sepia(27%) saturate(3537%) hue-rotate(202deg) brightness(101%) contrast(90%);
    --col-filter-cmd-rent_borrowed: brightness(0) saturate(100%) invert(45%) sepia(73%) saturate(606%) hue-rotate(155deg) brightness(101%) contrast(80%);

    --col-solflare: #ffef47;
    --col-phantom: #ab9ff2;
    --col-backpack: #e33e3f;
    --col-jupiter: #c7f284;
    --col-metamask: #eb8221;
    --col-brave: #ff2a01;

    --col-zink: #5bf19b;

    --col-ge: #ff8b2c; /* #ff621f #ff8b2c #ffd700*/

    --col-addr: #12c6b4;


    /*--col-dt-alt: black;*/

    /*--dt-html-background: var(--col-dt-alt);*/
}

.recolor_stopped {
    filter: brightness(0) saturate(100%) invert(79%) sepia(79%) saturate(2556%) hue-rotate(303deg) brightness(93%) contrast(116%);
}
.recolor_target {
    filter: brightness(0) saturate(100%) invert(84%) sepia(81%) saturate(2513%) hue-rotate(17deg) brightness(107%) contrast(95%);
}
.recolor_move {
    filter: brightness(0) saturate(100%) invert(72%) sepia(60%) saturate(6296%) hue-rotate(196deg) brightness(107%) contrast(95%);
}
.recolor_warning {
    filter: brightness(0) saturate(100%) invert(99%) sepia(35%) saturate(5766%) hue-rotate(318deg) brightness(105%) contrast(102%);
}
.recolor_blu {
    filter: brightness(0) saturate(100%) invert(66%) sepia(42%) saturate(1369%) hue-rotate(175deg) brightness(105%) contrast(102%);
}

h2 {
    color: var(--col-txt);
    font-family: "EEMfontLight";
    font-size: 1.2rem;
    margin-top:12px;
    margin-bottom:4px; 
}

/*- MAPMENUS ------------------------------------------ */
.ui-hoverinfo {
    border-radius: 8px; 
    border: 1px solid rgba(255, 255, 255, 0.086); 
    background-color: rgba(0, 0, 0, 0.05);
    backdrop-filter: blur(12px); 
    color: var(--col-txt); 
    font-size: 12px;
}
.ui-mnu {
    /*background-color: var(--col-tabsub-bg);*/
    display: none;
    pointer-events: all;
    border-radius: 8px; 
    background-color: rgba(0, 0, 0, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.086); 
    backdrop-filter: blur(12px);
}
.opt_row_mnu {
    /*background-color: var(--col-tabsub-bg)+'55';*/
    /*border-bottom: 1px solid var(--col-subheadline-border);*/
    height: 27px;
    white-space: nowrap;
}
.opt_row_mnu:hover {
    /*background-color:var(--col-tabsub-bg-on);*/
    background-color: rgba(55, 55,55, 0.15);
}
.td_ss_headline_mnu {
    /*background-color: var(--col-subheadline-bg);*/
    /*border-bottom: 1px solid var(--col-subheadline-border);*/
    /*color: var(--col-subheadline-txt);*/
    background-color: rgba(55, 55,55, 0.20);
    color: var(--col-coordinate);
    font-family: "EEMfontLight";
    font-size: 1.05rem;
    letter-spacing: 0.04rem; 
    padding-top: 0px;
    padding-left: 5px;
    height: 21px;
    vertical-align: middle;
    backdrop-filter: blur(5px);
}
/*- MAPMENUS end -------------------------------------- */


.ui_coordinate {
    color: var(--col-coordinate);
}

.ui_time {
    color: var(--col-time);
}

.ui_fleet {
    color: var(--col-fleet);
}

.ui_currency {
    color: var(--col-currency);
}


.rcm_ico_lnk {
    filter: var(--col-filter-cmd);
}

.rcm_ico_lnk:hover {
    filter: var(--col-filter-cmd);
    opacity: 1 !important;
}

.rcm_ico_lnk-rent_own {
    filter: var(--col-filter-cmd-rent_own);
}

.rcm_ico_lnk-rent_own:hover {
    filter: var(--col-filter-cmd-rent_own);
    opacity: 1 !important;
}

.rcm_ico_lnk-rent_borrowed {
    filter: var(--col-filter-cmd-rent_borrowed);
}

.rcm_ico_lnk-rent_borrowed:hover {
    filter: var(--col-filter-cmd-rent_borrowed);
    opacity: 1 !important;
}


.rcm_ico_lnk_x {
    opacity: 0.4;
}

.rcm_ico_lnk_x:hover {
    opacity: 1;
}

.table_hl {
	font-family: "EEMfont";
	font-size: 1.05rem;
	font-weight: normal;
	color: var(--col-txt-1);
	letter-spacing:0.1px;
    white-space: nowrap;
    vertical-align: top;
}

.table_hl_sub {
    color: var(--col-txt-1);
    font-size:0.95rem;
    font-weight:normal;
    letter-spacing:0.2px;
    vertical-align:top;
    opacity:0.4;
}

.table_hl_sub:hover {
    opacity: 0.9;
}

/*select option:disabled {
    color: #222222;
    font-weight: 200 !important;
    font-weight: bold;
}*/

.btn_black_mini {
    background-color: rgba(0,0,0,1);
    border-radius: 4px;
    width: 24px;
    height: 24px;
    text-align: center;
    vertical-align: middle;
}

.btn_black_mini:hover {
    background-color: rgba(0,0,0,1);
}

.v_img_controls {
    background-color:rgba(0,0,0,0.05);
}

.v_img_controls:hover {
    background-color:rgba(0,0,0,0.08);
}

.requiredCol {
    background-color: rgba(255,255,255,0.06);
}

.droptarget {
    background-color: var(--col-droptarget); /*rgba(155,155,0,0.1);*/
}

.color_red {
    color: var(--col-stopped);
}
.color_green {
    color: var(--col-green);
}
.color_blue {
    color: var(--col-blue);
}

.tag_yellow {
    background-color: rgba(227, 255, 0, 0.14);
    font-size: 0.9rem;
    color: #e3ff00;
    border-radius: 3px;
    padding: 0px 1px 0px 1px;
  }
  
.tag_purple {
    background-color: rgba(154, 65, 255, 0.14);
    font-size: 0.9rem;
    color: #9a41ff; 
    border-radius: 3px;
    padding: 0px 1px 0px 1px;
}

.bg_main {
    background-color: rgba(0,0,0,0.5);
    backdrop-filter: blur(30px);
}
.bg_inner {
    background-color: rgba(0,0,0,0.5);
    backdrop-filter: blur(30px);
}

.bborder_r {
   border-right: 1px solid black;
}
.bborder_l {
   border-left: 1px solid black;
}
.bborder_t {
   border-top: 1px solid black;
}
.bborder_b {
   border-bottom: 1px solid black;
}

.note {
    background: #1a1200;
    border-left: 3px solid #f59e0b;
    padding: 6px 12px;
    border-radius: 0 4px 4px 0;
}
.error {
    background: #1a0500;
    border-left: 3px solid #f5260b;
    padding: 6px 12px;
    border-radius: 0 4px 4px 0;
}